Manage Actors
Reschedule Actor
Move an actor to a different worker. The actor runs its shutdown sequence, then restarts elsewhere with its persisted state.
POST https://api.rivet.dev/actors/{actor_id}/reschedule
Examples
curl -X POST "https://api.rivet.dev/actors/$ACTOR_ID/reschedule?namespace=$RIVET_NAMESPACE" \
-H "Authorization: Bearer $RIVET_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'
const endpoint = "https://api.rivet.dev";
const namespace = process.env.RIVET_NAMESPACE ?? "default";
const token = process.env.RIVET_TOKEN ?? "";
const actorId = "00000000-0000-0000-0000-000000000000";
const response = await fetch(
`${endpoint}/actors/${actorId}/reschedule?namespace=${namespace}`,
{
method: "POST",
headers: {
Authorization: `Bearer ${token}`,
"Content-Type": "application/json",
},
body: "{}",
},
);
if (!response.ok) {
throw new Error(`Failed to reschedule actor: ${await response.text()}`);
}
export {};
Authentication
Send your namespace token as a bearer token in the Authorization header. Every control plane request also requires the namespace query parameter. See Authentication.
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
actor_id | string | Yes | ID of the actor. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace | string | Yes | Name of the namespace to operate in. |
Request Body
Content type: application/json.
Send an empty JSON object: {}.
Responses
200
{}